#ifndef OPEN_MUTEX_H_
#define OPEN_MUTEX_H_

#include <include_open/common/Open_Common.h>


struct Mutex;
typedef struct Mutex Mutex;

extern void Mutex_init(Mutex* this);
extern Mutex* Mutex_construct(void);
extern void Mutex_uninit(Mutex* this);
extern void Mutex_destruct(Mutex* this);

extern void Mutex_lock(Mutex* this);
extern void Mutex_unlock(Mutex* this);


#endif /*OPEN_MUTEX_H_*/
