#ifndef FSDIRINFO_H_
#define FSDIRINFO_H_

#include <include_closed/common/Common.h>
#include "FsObjectInfo.h"


enum ListDirIncStage; // forward declaration
struct StrCpyVec; // forward declaration


struct FsDirInfo;
typedef struct FsDirInfo FsDirInfo;

extern void FsDirInfo_init(FsDirInfo* this, App* app);
extern FsDirInfo* FsDirInfo_construct(App* app);
extern void FsDirInfo_uninit(FsObjectInfo* this);
extern void FsDirInfo_destruct(FsObjectInfo* this);

// getters & setters
extern loff_t FsDirInfo_getOffset(FsDirInfo* this);
extern void FsDirInfo_setOffset(FsDirInfo* this, loff_t offset);
extern loff_t FsDirInfo_getContentsOffset(FsDirInfo* this);
extern void FsDirInfo_setContentsOffset(FsDirInfo* this, loff_t contentsOffset);
extern struct StrCpyVec* FsDirInfo_getDirContents(FsDirInfo* this);
extern enum ListDirIncStage FsDirInfo_getStage(FsDirInfo* this);
extern void FsDirInfo_setStage(FsDirInfo* this, enum ListDirIncStage stage);



#endif /*FSDIRINFO_H_*/
