#ifndef PROCFSHELPER_H_
#define PROCFSHELPER_H_

#include <include_closed/common/Common.h>
#include <include_closed/app/App.h>


extern int ProcFsHelper_read_config(char* buf, char** start, off_t offset, int size, int* eof,
   App* app);
extern int ProcFsHelper_read_nodes(char* buf, char** start, off_t offset, int size, int* eof,
   struct NodeStoreEx* nodes);
extern int ProcFsHelper_read_clientInfo(char* buf, char** start, off_t offset, int size, int* eof,
   App* app);
extern int ProcFsHelper_write_removeNode(const char __user *buf,
   unsigned long count, App* app, struct NodeStoreEx* nodes);
extern int ProcFsHelper_read_connRetriesEnabled(char* buf, char** start, off_t offset, int size,
   int* eof, App* app);
extern int ProcFsHelper_write_connRetriesEnabled(const char __user *buf,
   unsigned long count, App* app);

extern const char* ProcFsHelper_getSessionID(App* app);

#endif /* PROCFSHELPER_H_ */
